Welcome topic

Welcome to use MagicISO
Top Next

MagicISO is a powerful and easy CD image file edit tool. It can create /edit /extract ISO files,make image files from CD-ROM or hard disk, and handle bootable information at meanwhile.It also can convert BIN or any other format file created by CD burning software (Such as Nero-Burning ROM, Easy CD Create) or virtual CD-ROM driver software (such as Daemon-tools) to standard ISO format.

It can process almost all CD-ROM image files including ISO and BIN. With MagicISO, you can add / delete / rename / extract file(s) within image files.You can convert image files to the standard ISO format and you have the ability to create ISO image file(s) from a CD-ROM.

MagicISO embed Windows Explorer and use the double window unification user contact interface.Use the quick button and the mouse Drag & Drops files between Windows Explorer and MagicISO so that you can handle the CD image file easy but powerful enough.

Copyright 2003 MagicISO Inc. All rights reserved.

Home Page: http://www.MagicISO.com
Email: support@MagicISO.com


System requirment

System requirment of MagicISO
Previous Top Next

· Windows XP, Windows 2000, ME, 98, 98SE, 95, OSR2 or Windows NT4.0 SP3+ operating system .

· Intel Pentium 133mHz or above.

· 64M memory.

· At least 10M extra hard disk space .

· CD-ROM, CD-R/RW, DVD-ROM, the DVD-R/RW driver (copy compact disc image needs).

· Mouse.


Main Features

· Process almost all CD-ROM image file(s) including ISO and BIN .

· Ability to directly add/delete/rename/extract file(s) within image files .

· Convert image files to the standard ISO format .

· Supports ISO 9660 Level1/2/3 and Joliet extension

· Duplicate disc to ISO file from CD-ROM .

· Windows Explorer is embed in MagicISO.

· You can convert almost all image file formats, including BIN, and save it as a standard ISO format file.

· Edit ISO file in many format(such as Nero burning ROM, Easy CD Creator, CDRWin, CloneCD, BlindWrite, etc).

· Select some files or directories, and then create the ISO based on these files.

· Make bootable ISO file.

· Because of its file associations, you can simply double click an ISO file in Windows Explorer to open it.

· Very easy to use interface but powerful enough for an expert.


Main Program

MagicISO Program window shows contents of the currently opened CD/DVD image file and allows you to navigate through the folder tree of the image. This picture shows the MagicISO main window:

ISO Folder Panel (on the upper-left)

This panel shows the folder tree of the currently opened ISO file. The folder list is similar to the Windows Explorer folder panel. You can click folders to display their contents in the file panel; or click the '+' or '-' icons to collapse or expand the tree view.

You can resize the folder panel by dragging its right margin with the mouse. you can select and drag folder from tree to the file panel or to Windows Explorer to move ,cut extract these ISO folder.

ISO File Panel (on the upper-right)

The File Panel shows files and folders contained in the ISO file. It is similar to the Windows Explorer file panel. You can select and drag files and folders from the list to the desktop or to Windows Explorer to extract them; or double-click on files to view them.

Use the Up button on the toolbar to navigate to the upper directory level. Use the Views button on the toolbar to view files as Small icons, Large icons, List and Details. Use the Add files button on the toolbar to add file to ISO file. For more detail, please see ISO Editor Window.

Windows Explorer Folder Panel (on the lower-left)

This Panel shows the folder tree of the current file system. It is the same as Windows Explorer Folder Panel.

Windows Explorer File Panel (on the lower-right)

This Panel shows the files and folders contained in the current file system. It is the same as Windows Explorer File Panel. For more detail, please see File browser (Windows Explorer)

¡¡


Menu Commands

File Menu

· "New": Create new ISO file.
· "Open": Open ISO file, and CD/DVD image file.
· "Save": Save ISO file, and CD/DVD image file.
· "Save as": Save the image file with new name.
· "Reopen": User can open recent files.
· "Properties": open properties of the current ISO file.
· "Exit": Close MagicISO

Tools Menu

· "Make ISO from CDRom": User can use this tool to make own ISO(CD Image file) from CDROM so that user can save CD to user hard disk.
· "Burn CD with ISO...": Shows Burning dialog to burn ISO file and any CD/DVD image file.
· "ISO to BIN": Convert BIN to ISO
· "BIN to ISO": Convert ISO to BIN.
· "Any format to ISO": convert Any CD/DVD image format (such as IMG,NRG,CIF) to ISO.
· "Any format to BIN": convert any CD/DVD image format (such as IMG,NRG,CIF,BWI,) to BIN/CUE.
· "Load Boot Image": Load boot image information from BOOT-IMAGE file and set boot image information to the current opened file.
· "Save Boot Image": Save boot image information to BOOT-IMAGE file format.
· "Clear Boot Image": Remove boot image information.
· "Make boot image from floppy disk": make BOOT-IMAGE file from floppy disk.

View Menu

· "Toolbar": Show or hide toolbar.
· "Windows Explorer": Show or hide Windows Explorer


Toolbar

Tool Buttons

· Create new ISO file.
· Open ISO file, and CD/DVD image file.
· Save ISO file, and CD/DVD image file.
· Save the CD/DVD image file with new name.
· open properties of the current ISO file.
· Shows Burning dialog to burn ISO file and any CD/DVD image file.
· User can use this tool to make own ISO (CD Image file) from CDROM so that user can save CD to user hard disk.
· Make BOOT-IMAGE file from floppy disk.


ISO Editor Window

ISO Editor area include "ISO folder panel" and "ISO files panel" and file control bar.

ISO folder Panel (Left side)

This panel shows the folder tree of the currently opened ISO file. The folder list is similar to the Windows Explorer folder panel. You can click folders to display their contents in the file panel; or click the '+' or '-' icons to collapse or expand the tree view.

You can resize the folder panel by dragging its right margin with the mouse. you can select and drag folder from tree to the file panel or to Windows Explorer to move ,cut extract these ISO folder.

· Load boot image information from BOOT-IMAGE file and set boot image information to the current opened file.
· Remove boot image information.
· Save boot image information to BOOT-IMAGE file format.
· Search files or folder in the selected folder.

ISO File Panel (Right side)

The File Panel shows files and folders contained in the ISO file. It is similar to the Windows Explorer file panel. You can select and drag files and folders from the list to the desktop or to Windows Explorer to extract them; or double-click on files to view them.

· navigate to the upper directory level
· Add files to ISO file
· Add directories to ISO file
· Create new folder in ISO file
· delete files or directories from ISO file
· rename files or directories
· Extract files and directories to disk.
· Search files or folder in the selected folder.


File Browser(Windows Explorer)

MagicISO is embedded with Windows Explorer. It is convenience for quickly browsing disk file and dragging or extracting disk file or directories to ISO file.

The operation of file browser is the same as the Windows Explorer.

· Add selected files or directories from Windows File Panel to ISO File Panel .
· Navigate to the upper directory level
· Refresh file system.
· Create new file or directory
· Delete files or directories.
· Cut files or directories to clipboard
· Copy files or directories to clipboard
· Paste files or directories from clipboard
· View settings.


ISO File Properties Editor

The ISO file properties editor shows technical information about the currently opened ISO file or CD/DVD image file. Parameters that are displayed in this window depend on system-specifics and the format of ISO file. ISO File Properties Editor also give user the option to choose CDFS format (ISO9660,joliet,UDF); to edit label of volume, and keep volume serial number for preserve original CD/DVD status.

Label Properties

· "Volume Label": specify an identification of the volume.
· "System Identifier": an identification of a system which can recognize and act upon the content of the logical sectors with logical sector numbers 0 to 15 of the volume.
· "Volume Set": specify an identification of the volume set of which the volume is a member.
· "Publisher": specify an identification of the user who specified what shall be recorded on the volume group of which the volume is a member.
· "Data Preparer": specify an identification of the person or other entity which controls the preparation of the data to be recorded on the volume group of which the volume is a member.
· "Application": specify an identification of the specification of how the data are recorded on the volume group of which the volume is a member..
· "Copyright File": specify an identification for a file described by the root directory and containing a copyright statement for those volumes of the volume set the sequence numbers of which are less than, or equal to, the assigned volume set size of the volume.
· "Abstract File": specify an identification for a file described by the root directory and containing an abstract statement for those volumes of the volume set the sequence numbers of which are less than, or equal to, the assigned volume set size of the volume.
· "Bibliographic File": specify an identification for a file described by the root directory and containing bibliographic records interpreted according to standards that are the subject of an agreement between the originator and the recipient of the volume.
· "Also use the ISO9660 text for Joliet": if check this item, MagicISO will write the same contents in both ISO9660 and Joliet volume.

ISO Properties

· "Joliet": Check this item to set ISO file in Joliet format.
· "UDF": Check this item to set ISO file in UDF format.
· "Rock Ridge": Check this item to create Rock Ridge volume.
· "ISO Level 1": Check this item to set max of 11(8+3) characters for standard ISO9660 file and directory name length.
· "ISO Level 2": Check this item to set max of 31 characters for long name support.
· "Correct the serial number of Primary Volume Descriptor": Check this item to correct serial number of Primary Volume.
· "Correct the serial number of Secondary Volume Descriptor": Check this item to correct serial number of Secondary Volume.


Create a new image file

· Run MagicISO;

· Choose File menu and click New Or click [image] button on toolbar.

· Drag files or folders from Windows Explorer. or click [image] or [image] button for adding files or folders.

· Click [image] to create new folder

· Click [image] to edit properties of ISO file.

· After complete adding and editing ISO file, click [image] or [image] button for saving to disk file.


Edit image file

· Open ISO File

Click [image], the "Open ISO File" dialog will pop-up, select file and click "Open" button.

Or set disk path in "File Folders", then double click on filename in "Files List".

· Extract ISO image

First.select files and folders in "ISO Files", and Click [image] to extract.

Or select files and folders in "ISO File" list and drag them to "File Folder" or "Files List" or Windows Explorer and other application then drop.

· Add File and folder

click " [image] Add Files"/" [image] Add directory" to add.

Or select files and folder in "File List", and click [image] to add.

Or drag files and folders from "File Folder" or "File List" or Windows Explorer and other application.

· Edit ISO Image file

Click [image] to create new folder.

click [image] to delete files or folders.

Press F2 or click [image] to rename files,folders and voume.

Select files, Drag to destination folder then drop, you can move file position and copy file to new position with pressing CTRL.

· Save ISO File

Click [image] to save current ISO file. If it's newly created one, you need to enter the ISO file name.

Click [image] to save as a new ISO file.


Make ISO from CD/DVD

MagicISO can make ISO file from CD/DVD disc. so user can backup your CD/DVD to ISO image file.

· Click [image] button to show Make ISO from CD/DVD-ROM Window
· Choose your CD/DVD-ROM driver which hold disc that you want to copy.
· Type output ISO file name.
· if you only make bootable image file, then check "Export boot image" option.
· Click Ok to start.


Burn CD/DVD with CD/DVD image file

Burn ISO windows shows the setting to burn ISO and CD/DVD image file to CD-R,CD-RW, DVD-R,DVD-RW,DVD+R and DVD+RW.

· "Destination CD-R/RW Driver": Lists all of available CD recording driver in system.
· "CD Image File": Choose ISO file to burn. MagicISO can also burn BIN files.
· "CD-R/RW Write Speed": Choose speed of burning.
· "Mode 1" : Burn ISO image in Mode 1 format.
· "Mode 2/XA": Burn ISO image file in Mode 2/XA format.
· "Test Writing": If check this option, MagicISO will simulate writing ISO file to CD for detecting error.
· "Burn Proof": Verify data after writing. (Must be supported you CD-R/RW recorder)
· Status Text: Shows status of current CD-R/RW recorder. If status text is show in blue color, the CD-R/RW is ready for burning.
· "Erase": Click "Erase" button to bland CD-RW or DVD-RW disc.Notes.
· "Burn It!": Click "Burn it!" button to start "burning CD" progress.

Guide to burn ISO file

· Click [image] button to show this dialog.

· Choose your CD/DVD Writer.

· Insert CD recordable disc to driver.

· if there is a writable disc in driver and it is not blank, You can click "Erase" button to blank CD.

· Choose ISO file or CD/DVD image file that you want to burn.

· Choose CD or DVD Writing Speed.

· Choose which mode to burn CD. you can choose Mode 1 or Mode 2/XA

· Check optional "Test Writer" and "Burn Proof"

· Click "Burn It!" button to process.


Burn files and folders to CD and DVD directly (On-The-Fly burning)

· First, Insert an empty CD or DVD into your recorder.

· Start new compilation by clicking on the Menu "File"->"New"->"Data CD/DVD Image".

· Click [image] to set the properties of data CD/DVD image.

In the "File/Directory names length" section, you can specify the ISO level for the length of the names. ISO Level 1 means that the names cannot be more than 11 characters long for DOS and Windows 3.1(8 for the name and 3 for the extension). ISO Level 2 means that the names can be up to 31 characters long for Windows 95 and higher. ISO Level 2 will be best in most cases - if you know that CD must also be readable on DOS or Windows 3.1 system then you should select ISO level 1. ISO 9660:1999 v2 means that the names can be up to 207 characters long for some Linux and Unix system.

In the "CD File System" Section, you can specify which CD File system for the data CD. ISO-9660 is a standard CD-ROM file system that allows you to read the same CD-ROM whether you are on the PC UNIX Linunx Mac or other major computer. Joliet is an extension of the ISO 9660 standard, developed by Microsoft to allow CD and DVD to be recorded using long filenames, and using the Unicode international character set. Joliet allows you to use filenames up to 64 characters in length, including space. Rock Ridge is an extension of the ISO 9660 file system designed to support Unix file system information (such as longer filenames and deeper directory structures). Apple HFS/HFS+ is the "Hierarchical File system", the native volume format used on modern Macintosh computers. with HFS/HFS+ volume format, CD and DVD can be readable on Mac OS. UDF (Universal Disk Format) is a file system developed by OSTA. With UDF volume format, data can be written to a CD or DVD in the same way as to a hard disk or floppy disk.

Once you have selected your settings, Click Ok to apply.

· Change the root name you can give your CD or DVD and overtype the default name. you can use letter A-Z, digits 0-9 and the underscore character(_).

· If File Browser Panel is not open yet, you can open it by clicking [image] button.

· Add files and folders for the CD and DVD using Drag&Drop editing by simply clicking on the required files in the file browser and dragging them into the compilation panel.

You also can select files and folders in the file browser and add files and folders for the CD and DVD by clicking [image] button.

When adding directories, the directory structure is moved across too, i.e. if you drag an entire folder into the compilation panel, the folder will be created on the CD you wish to burn.

If you drag a lot of individual files however this may affect the clarity of the CD's contents. To avoid this you can create new folders within the compilation panel by clicking [image] button. The folder you have just created is assigned the name "New Folder" by default and can be renamed immediately.

· Click [image] to open the burn dialog box.

· Choose your CD/DVD recorder, Choose write speed. Important: you must remember to clear the "Finalize CD" checkbox when creating the first session of a MultiSession CD or DVD. With a Multisession CD or DVD, this checkbox is only checked for the last session of the CD or DVD. This setting write protects the CD or DVD and no further writing is possible.

· Click "Burn it!" to start the burn process.


Create a MultiSession CD and DVD

1. Start Multisession CD/DVD

· First, Insert an empty CD or DVD into your recorder.

· Start new compilation by clicking on the Menu "File"->"New"->"Data CD/DVD Image".

· Click [image] to set the properties of data CD/DVD image.

In the "File/Directory names length" section, you can specify the ISO level for the length of the names. ISO Level 1 means that the names cannot be more than 11 characters long for DOS and Windows 3.1(8 for the name and 3 for the extension). ISO Level 2 means that the names can be up to 31 characters long for Windows 95 and higher. ISO Level 2 will be best in most cases - if you know that CD must also be readable on DOS or Windows 3.1 system then you should select ISO level 1. ISO 9660:1999 v2 means that the names can be up to 207 characters long for some Linux and Unix system.

In the "CD File System" Section, you can specify which CD File system for the data CD. ISO-9660 is a standard CD-ROM file system that allows you to read the same CD-ROM whether you are on the PC UNIX Linunx Mac or other major computer. Joliet is an extension of the ISO 9660 standard, developed by Microsoft to allow CD and DVD to be recorded using long filenames, and using the Unicode international character set. Joliet allows you to use filenames up to 64 characters in length, including space. Rock Ridge is an extension of the ISO 9660 file system designed to support Unix file system information (such as longer filenames and deeper directory structures). Apple HFS/HFS+ is the "Hierarchical File system", the native volume format used on modern Macintosh computers. with HFS/HFS+ volume format, CD and DVD can be readable on Mac OS. UDF (Universal Disk Format) is a file system developed by OSTA. With UDF volume format, data can be written to a CD or DVD in the same way as to a hard disk or floppy disk.

Once you have selected your settings, Click Ok to apply.

· Change the root name you can give your CD or DVD and overtype the default name. you can use letter A-Z, digits 0-9 and the underscore character(_).

· If File Browser Panel is not open yet, you can open it by clicking [image] button.

· Add files and folders for the CD and DVD using Drag&Drop editing by simply clicking on the required files in the file browser and dragging them into the compilation panel.

You also can select files and folders in the file browser and add files and folders for the CD and DVD by clicking [image] button.

When adding directories, the directory structure is moved across too, i.e. if you drag an entire folder into the compilation panel, the folder will be created on the CD you wish to burn.

If you drag a lot of individual files however this may affect the clarity of the CD's contents. To avoid this you can create new folders within the compilation panel by clicking [image] button. The folder you have just created is assigned the name "New Folder" by default and can be renamed immediately.

· Click [image] to open the burn dialog box.

· Choose your CD/DVD recorder, Choose write speed. Important: you must remember to clear the "Finalize CD" checkbox when creating the first session of a MultiSession CD or DVD. With a Multisession CD or DVD, this checkbox is only checked for the last session of the CD or DVD. This setting write protects the CD or DVD and no further writing is possible.

· Click "Burn it!" to start the burn process.

2. Continue Multisession CD/DVD

· Insert the Multisession CD or DVD you wish to continue into the recorder.

· Continue Multisession CD or DVD by clicking menu "File"->"Continue Multisession Disc".

· Click [image] to set the properties of data CD/DVD image.

· Change the root name you can give your CD or DVD and overtype the default name. you can use letter A-Z, digits 0-9 and the underscore character(_).

· If File Browser Panel is not open yet, you can open it by clicking [image] button.

· Add files and folders for the CD and DVD using Drag&Drop editing by simply clicking on the required files in the file browser and dragging them into the compilation panel.

· Click [image] to open the burn dialog box.

· Choose your CD/DVD recorder, Choose write speed. Important: you must remember to clear the "Finalize CD" checkbox when continuing the session of a MultiSession CD or DVD. With a Multisession CD or DVD, this checkbox is only checked for the last session of the CD or DVD. This setting write protects the CD or DVD and no further writing is possible.

· Click "Burn it!" to start the burn process.

3. Finish Multisession CD/DVD

· Insert the Multisession CD or DVD you wish to continue into the recorder.

· Continue Multisession CD or DVD by clicking menu "File"->"Continue Multisession Disc".

· Click [image] to set the properties of data CD/DVD image.

· Change the root name you can give your CD or DVD and overtype the default name. you can use letter A-Z, digits 0-9 and the underscore character(_).

· If File Browser Panel is not open yet, you can open it by clicking [image] button.

· Add files and folders for the CD and DVD using Drag&Drop editing by simply clicking on the required files in the file browser and dragging them into the compilation panel.

· Click [image] to open the burn dialog box.

· Choose your CD/DVD recorder, Choose write speed. Important: please ensure that the "Finalize CD" checkbox is only active when you create the final session of a MultiSession CD or DVD. Otherwise your CD or DVD will be finalized and write protected. No further writing to the CD or DVD is now possible.

· Click "Burn it!" to start the burn process.


Make bootable ISO image

MagicISO allows user to make bootable ISO file.

· Run MagicISO
· Click [image] button to load ISO file or CD/DVD image file.
· Click [image] button to load bootable image file.
· Click [image] button to save ISO file.
· Now you have already get bootable ISO file.
· You can burn this bootable ISO file to make bootable CD.


Make bootable CD

Before making bootable CD, please prepare a bland CD-R or CD-RW disc.

· Click [image] button on toolbar to open "bootable option" dialog.

· Loading the bootable image from floppy disk.

or

Load multi-bootable image file for creating multi-boot CD. you can create multi-bootable image file by MagicISO. For more detail, Please visit Multiple Bootable CD/DVD Image Editor.

or

Load exist bootable image file from disk.

· After setting the bootable information into ISO image file, The bootable status of iso image file will be changed to "bootable".

· Drag files or folders from Windows Explorer.
or click [image] or [image] button for adding files or folders.

· After complete adding and editing ISO file, click [image] or [image] button for saving to disk.

· Burns ISO image to CD


Convert CD/DVD image

· Click Menu "Tools" | "Convert ..."

· Enter source image file.

· Choose output format.

· Enter output file name.

· Click "Convert" to start


Create floppy disk image

· Run MagicISO;

· Choose File menu and click New->Disk Image

· Choose one of the disk image type. The current version of MagicISO supports FAT12 disk image in format of 2.88M 1.44M 1.2M 720K 360K

· Drag files or folders from Windows Explorer. or click [image] or [image] button for adding files or folders.

· Click [image] to create new folder

· After completing to add and edit floppy disk image, click [image] or [image] button for saving to disk file.


Rip Audio CD to MP3 files

· First, Insert Audio CD into CD driver.

· Click Menu "File"->"Open CD/DVD Driver", then choose the correct CD driver.

· After clicking, MagicISO will list all audio tracks in the Audio Panel.

· Click [image] button to popup "Extract to ..." dialog

· Choose the output directory, Choose "All files" to extract all audio tracks, and Check "Using MP3 encoder" to encode audio tracks into MP3 format. If you only want to output WAV format, just don't check this option.

· Click Ok to start extracting.


Burn MP3 files to CD

· Run MagicISO

· Click Menu "New"->"Audio CD Image".

· Clicking [image] to select MP3 files.

· Click [image] to play audio tracks, or click [image] or [image] to change the selected audio track position.

· Click [image] to burn MP3 files to CD or click [image] to save as to BIN/CUE image as audio CD image..


MagicISO Command Line

MagicISO not only creates ISO image file on Window GUI, but it is also able to creates ISO image files on Windows command line. you can find miso.exe that is MagicISO command line utility in MagicISO installation directory.

Commands of miso.exe
¡¡

Commands | Paramenters | Description
-f | dir | Set the working directory in ImageFile, Default: \ (Root)
-a | file/folder | Add files and folders into iso image file
-x | dir [wildcard] | Extracting files and folders with subfolder from iso image file to directory
-c | foldername | create new folder
-d | wildcard | Delete the files/folders within iso image file
-aj | ¡¡ | Create Joliet Volume
-rj | ¡¡ | Remove Joliet Volume
-au | ¡¡ | Create UDF Volume
-ru | ¡¡ | Remove UDF Volume
-ar | ¡¡ | Create Rock Ridge Volume
-rr | ¡¡ | Remove Rock Ridge Volume
-ab | BootFile | Make bootable iso file
-rb | ¡¡ | Remove bootable information from ISO file
-l1 | ¡¡ | ISO Level 1(DOS: Max. of 11 = 8+3 chars)
-l2 | ¡¡ | ISO Level 2(Windows/Unix: Max. of 31 chars)
-l3 | ¡¡ | ISO 9660:1999 v2 (Max. of 207)
-py | ¡¡ | yes for all queries.
-pn | ¡¡ | no for all queries.

Samples of ISO Creator
¡¡

  • miso.exe tools.iso -c tools -c "back up\magiciso" -l "TOOLS CD"

    1. If tools.iso doesn't exist, then create tools.iso.
    2. Create "tools" folder into root directory of iso image file.
    3. if "back up" folder doesn't exist, then create "back up" folder into root directory of iso image file first. After that, miso creates "magiciso" folder into "back up" folder.
    4. Set volume label of iso image file to "TOOLS CD".

    ¡¡
  • miso tools.iso -f tools -a *.exe -a "c:\compiler tools"

    1. If tools.iso doesn't exist, then create tools.iso.
    2. Set "\tools" folder to the current working folder.
    3. Add "*.exe" files into "\tools" folder
    4. Add "c:\compile tools" folder into "\tools" folder.

    ¡¡
  • miso tools.iso -f tools -x c:\tools *.exe

    1. If tools.iso doesn't exist, then create tools.iso.
    2. Set "\tools" folder to the current working folder.
    3. Extract "\tools\*.exe" (includes *.exe files in subfolder) to c:\tools.

    ¡¡
  • miso tools.iso -d *.exe

    1. If tools.iso doesn't exist, then create tools.iso.
    2. Delete all "*.exe" files within root directory of tools.iso

    ¡¡
  • miso tools.iso -d *

    1. Empty tools.iso

    ¡¡
  • miso tools.iso -l3 -ab "c:\98_inst\bootxp.bif"

    1. If tools.iso doesn't exist, then create tools.iso.
    2. Enable ISO Level 3 format
    3. Add "bootxp.bif" bootable image file into iso image file.
    ¡¡

Command Line to burn ISO file

MagicISO is not only ISO burner on Windows GUI, but it is also able to burns ISO image files on? Windows command line. you can find miso.exe that is MagicISO command line utility in MagicISO installation directory.?

Commands of miso.exe

Commands | Paramenters | Description
-cd |  | List all of the present CD/DVD driver
-b | [CDID] | Burn CD/DVD by the specified CD/DVD-R/RW driver
-e | [CDID] | Erase CD-RW/DVD-RW/DVD+RW
-be | [CDID] | If necessary, force to erase CD-RW/DVD-RW/DVD+RW before burning

Samples of ISO image burner

  • miso.exe tools.iso -cd

    1. List all of the present CD/DVD driver
    Please notes: miso.exe ignores the " tools.iso" parameters.
    Result:

MagicISO Console v2.6.35

Copyright (C) 2002, 2003, 2004 MagicISO Inc.

The following is all of the present CD/DVD drivers.

[1] Generic DVD-ROM
[2] SONY DVD RW DRU-700A
[3] RICOH DVD+RW MP5240

* Red is CD/DVD recordable driver.

  • miso.exe tools.iso -e 2

    Erase CD-RW/DVD-RW disc in "SONY DVD RW DRU-700A"

  • miso.exe tools.iso -b 2 -c tools -c "back up\magiciso" -l "TOOLS CD"

    1. If tools.iso doesn't exist, then create tools.iso.
    2. Create "tools" folder into root directory of iso image file.
    3. if "back up" folder doesn't exist, then create "back up" folder into root directory of iso image file first. After that, miso creates "magiciso" folder into "back up" folder.
    4. Set volume label of iso image file to "TOOLS CD".
    5. Save tools.iso
    6. Burn tools.iso onto CD or DVD by "SONY DVD RW DRU-700A"

  • miso tools.iso -be 2 -f tools -a *.exe -a "c:\compiler tools"

    1. If tools.iso doesn't exist, then create tools.iso.
    2. Set "\tools" folder to the current working folder.
    3. Add "*.exe" files into "\tools" folder
    4. Add "c:\compile tools" folder into "\tools" folder.
    5. Save tools.iso
    6. Check disc in "SONY DVD RW DRU-700A", if it is not blank, miso.exe will force to erase.?
    7. Burn tools.iso onto CD or DVD by "SONY DVD RW DRU-700A"

* This feature was not included in MagicISO version 4.7.0.134 before. Please update miso.exe here.?

Command Line to mount ISO file

First, You need to install MagicDisc Virtual CD/DVD-ROM. you can find miso.exe that is MagicISO command line utility in MagicISO installation directory.?

Commands of miso.exe

Commands | Paramenters | Description
-mnt | [id] Filename | Mount CD/DVD image to the virtual CD/DVD-ROM which is specified by id.
-umnt | [id] | Unmount the virtual CD/DVD-ROM which is specified by id
-sdrv | Number | Set number of virtual drives. 0 to disable.
-vlist | ? | List all virtual drives

Samples of mounting ISO image

  • miso.exe NULL -vlist

    List all of the present virtual CD/DVD driver.
    Please notes: miso.exe ignores the "NULL" parameters.
    Result:

MagicISO Console v3.0.97
Copyright (C) 2002, 2003, 2004, 2005, 2006 MagicISO Inc.

The following is all of the present virutal CD/DVD drivers.

[1] C:\DVD.ISO (J:)
[2] No Media (K:)

  • miso.exe NULL -sdrv 3
    Create 3 virtual drives.
    Please notes: miso.exe ignores the "NULL" parameters.

  • miso.exe NULL -sdrv 0
    Disable all virtual Drives.
    Please notes: miso.exe ignores the "NULL" parameters.

  • miso.exe NULL -mnt j: "c:\backup\1.uif"
    mount "c:\backup\1.uif" to virtual drive j:
    Please notes: miso.exe ignores the "NULL" parameters.

    ?
  • miso.exe NULL -umnt 1
    Unmount the first virtual CD/DVD-drives.
    Please notes: miso.exe ignores the "NULL" parameters.

* This feature was not included in MagicISO version 5.3.0.225 before. Please update miso.exe here.?

?

Reference:

MagicDisc Overview
Using MagicDisc to mount CD/DVD image.
Using MagicDisc to unmount CD/DVD image.
Creating ISO image on command line.
Burning ISO Image on command line.


License

END-USER LICENSE AGREEMENT FOR MagicISO Computing Inc. SOFTWARE MagicISO
Previous Top Next

IMPORTANT - READ CAREFULLY: This MagicISO Computing Inc. End-User License Agreement is a legal agreement between you (either an individual or a single entity) and MagicISO Computing Inc. for the MagicISO Computing Inc. product identified above, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this End-User License Agreement, do not install or use the SOFTWARE PRODUCT; you may however, return it to your place of purchase for a full refund.

SOFTWARE PRODUCT LICENSE

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold. You may not rent, lease, or lend the SOFTWARE PRODUCT. You may permanently transfer all your rights under this End-User License Agreement, provided you retain no copies, you transfer all of the SOFTWARE PRODUCT and this End-User License Agreement, and the recipient agrees to the terms of this End-User License Agreement.

GRANT OF LICENSE

This program version may be installed on a maximum of two computers, so long as it is ONLY running on one system at any time: i.e. one installation at home and one installation at the office and used only by the licensee. The simultaneous use of this SOFTWARE PRODUCT by multiple personnel requires additional licenses. Use of this SOFTWARE PRODUCT over an internal network requires separate license for each user. The licensee shall not use, copy, rent, lease, sell, modify, decompile, disassemble, reverse engineer, or transfer the licensed SOFTWARE PRODUCT except as provided in this agreement. Any such unauthorized use shall result in immediate termination of this license.

All licenses will be issued in the name of the institution, company or school. Each additional license also allows a single user to use the SOFTWARE PRODUCT at home.

LIABILITY

We try to keep our SOFTWARE PRODUCT as bug free as possible. However, it is a general rule, Murphy's, that no software is ever error free, and the number of errors increases with the complexity of the program. We cannot guarantee that this SOFTWARE PRODUCT will run in every environment, on any Windows compatible machine, or together with any other application, without producing errors. Any liability for damage of any sort is hereby denied. In no event shall MagicISO Computing Inc. or its suppliers be liable for any special, incidental, indirect, or consequential damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use the SOFTWARE PRODUCT. In any case, the liability is limited to the registration fee. Please evaluate this SOFTWARE PRODUCT with not critical data. Should you detect errors before registration, the user accepts the SOFTWARE PRODUCT errors after registration. Any description of SOFTWARE PRODUCT errors will be accepted, but we cannot guarantee that the errors can be corrected.

Thank you for your understanding and cooperation.

The MagicISO Team.


Order MagicISO

Individual user only cost US$29.95, and through the on-line payment way, may immediately obtain the registration code, obtains MagicISO legal copy software.

Online Order>>>

OEM service

Please contact support@magiciso.com


Technical support
Previous Top

· Please visits our website to check whether you got the newest edition of MagicISO software.

· The technical support is free. You may send your mail to support@MagicISO.com.

· In order to provide more accurate service, please provides the following information:
1. Whether the problem can reappear? How reappears?
2. What operating system you used (Windows 98, Windows 2000, Windows XP and so on).
3. Your MagicISO edition.
4. If has error prompts dialog box, please provides the whole error message, it is better to contain the screenshot capture.